## org.gnu.gtk
Class CellRendererCombo

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.CellRenderer
                      org.gnu.gtk.CellRendererText
                          org.gnu.gtk.CellRendererCombo

public class CellRendererCombo
extends CellRendererText

Nested Class Summary

Nested classes inherited from class org.gnu.gtk.CellRendererText
`CellRendererText.Attribute`

Constructor Summary
`CellRendererCombo()`

Method Summary
`boolean` `getHasEntry()`
`TreeModel` `getModel()`
`int` `getTextColumn()`
`void` `setHasEntry(boolean hasEntry)`
`void` `setModel(TreeModel model)`
`void` `setTextColumn(int column)`

Methods inherited from class org.gnu.gtk.CellRendererText
`addListener, getCellRendererText, getEventListenerClass, getEventType, getFont, getType, removeListener, setAttributes, setEditable, setFont, setUnderline`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellRendererCombo

    public CellRendererCombo()

Method Detail

### getModel

    public TreeModel getModel()

### setModel

    public void setModel(TreeModel model)

### getTextColumn

    public int getTextColumn()

### setTextColumn

    public void setTextColumn(int column)

### getHasEntry

    public boolean getHasEntry()

### setHasEntry

    public void setHasEntry(boolean hasEntry)